#
# spec file for package unrar (Version 3.4.3)
#
# Copyright (c) 2005 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# norootforbuild
# neededforbuild  gpp libgpp

BuildRequires: aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libgcc libnscd libselinux libstdc++ libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch permissions popt procinfo procps psmisc pwdutils rcs readline sed strace syslogd sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel autoconf automake binutils gcc gcc-c++ gdbm gettext libstdc++-devel libtool perl rpm

Name:         unrar
License:      FSR
Group:        Productivity/Archiving/Compression
Autoreqprov:  on
Version:      3.5.4
Release:      1
Summary:      A program to extract, test, and view RAR archives
Source:       %{name}src-%{version}.tar.bz2
Patch:        %{name}src-%{version}-types.diff
Patch1:       %{name}src-%{version}-gcc.diff
BuildRoot:    %{_tmppath}/%{name}-%{version}-build
URL:          http://www.rarlab.com

%description
The unRAR utility is a freeware program distributed with source code
and developed for extracting, testing, and viewing the contents of
archives created with the RAR archiver.



Authors:
--------
    Eugene Roshal <roshal@creabel.com>

%debug_package
%prep
%setup -q -n %{name}
%patch0
%patch1

%build
make -f makefile.unix CXXFLAGS="$RPM_OPT_FLAGS -Wall -fmessage-length=0"

%install
rm -rf $RPM_BUILD_ROOT
install -d -m755 $RPM_BUILD_ROOT%{_bindir}
install -m755 unrar $RPM_BUILD_ROOT%{_bindir}

%clean
rm -rf "$RPM_BUILD_ROOT" 

%files
%defattr(-,root,root)
%doc license.txt readme.txt
%{_bindir}/unrar

%changelog -n unrar
* Sun Nov 13 2005 - joe_morris@ntm.org
- update to 3.5.4
* Thu Feb 17 2005 - mjancar@suse.cz
- update to 3.4.3
* Fri Aug 06 2004 - mjancar@suse.cz
- update to 3.4.2
* Fri Feb 27 2004 - mjancar@suse.cz
- update to 3.3.6
* Tue Oct 21 2003 - mjancar@suse.cz
- update to 3.2.3
* Thu Jul 24 2003 - mjancar@suse.cz
- update to 3.2.2
* Wed May 14 2003 - mjancar@suse.cz
- update to version 3.2.1
* Tue May 06 2003 - ro@suse.de
- fix build with latest gcc
* Mon Feb 17 2003 - vbobek@suse.cz
- updated to version 3.1.3
- removed obsolete patch for CFLAGS
* Tue Sep 17 2002 - ro@suse.de
- removed bogus self-provides
* Tue May 21 2002 - nadvornik@suse.cz
- updated to 3.00 [bug #16183]
* Thu Apr 18 2002 - stepan@suse.de
- update to 2.71, drop 64bit patch
* Thu Feb 21 2002 - stepan@suse.de
- Fix archive corruption on 64bit systems. Linux GNU systems
  always have 32bit int, so using int instead of long for
  UDWORD.
* Mon Apr 17 2000 - nadvornik@suse.cz
- added BuildRoot
* Thu Feb 17 2000 - grimmer@suse.de
- use full URL to source archive
- use version macro
- spec file cleanups
- added Group tag
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Mon Jul 05 1999 - grimmer@suse.de
- initial package created (Version 2.50)
